/**
 * Test case for copyFiles.
 * Runs with nodeunit.
 */

var copyFiles = require('../lib/copy_files.js'),
    fs = require('fs');

var tmpDir = __dirname + '/../tmp';

exports['Copy files'] = function (test) {
    var src = __filename,
        dest = tmpDir + '/foo/bar/test-copy.txt';
    copyFiles(src, dest, function (err) {
        test.ok(fs.existsSync(dest));
        test.ifError(err);
        test.done();
    });
};

